[jira] Created: (SOLR-1987) java.lang.VerifyError runtime exception in Solr 1.4.1 when trying to run solr in Embedded mode

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

[jira] Created: (SOLR-1987) java.lang.VerifyError runtime exception in Solr 1.4.1 when trying to run solr in Embedded mode

JIRA jira@apache.org
java.lang.VerifyError runtime exception in Solr 1.4.1 when trying to run solr in Embedded mode
----------------------------------------------------------------------------------------------

                 Key: SOLR-1987
                 URL: https://issues.apache.org/jira/browse/SOLR-1987
             Project: Solr
          Issue Type: Bug
          Components: clients - java
    Affects Versions: 1.4.1
         Environment: Windows 7
            Reporter: Ravish Bhagdev
             Fix For: 1.4.1


When trying to run solr in embedded mode:

            CoreContainer.Initializer initializer = new CoreContainer.Initializer();
            CoreContainer coreContainer = initializer.initialize();
            server = new EmbeddedSolrServer(coreContainer, "");

An exception is thrown in version 1.4.1, here is the stacktrace:
java.lang.VerifyError: class org.apache.solr.search.SolrIndexReader overrides final method setNorm.(ILjava/lang/String;B)V
        at java.lang.ClassLoader.defineClass1(Native Method)
        at java.lang.ClassLoader.defineClassCond(ClassLoader.java:632)
        at java.lang.ClassLoader.defineClass(ClassLoader.java:616)
        at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)
        at org.apache.catalina.loader.WebappClassLoader.findClassInternal(WebappClassLoader.java:2527)
        at org.apache.catalina.loader.WebappClassLoader.findClass(WebappClassLoader.java:1010)
        at org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1483)
        at org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1361)
        at org.apache.solr.core.SolrConfig.<init>(SolrConfig.java:166)
        at org.apache.solr.core.CoreContainer$Initializer.initialize(CoreContainer.java:134)

It may be a class version issue with the released zip source code, but I am not sure.  It looks like the release was not compiled properly?

--
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

[jira] Commented: (SOLR-1987) java.lang.VerifyError runtime exception in Solr 1.4.1 when trying to run solr in Embedded mode

JIRA jira@apache.org

    [ https://issues.apache.org/jira/browse/SOLR-1987?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12886379#action_12886379 ]

Mark Miller commented on SOLR-1987:
-----------------------------------

Can you add some details on how you produced this?

It appears very odd, because I don't believe setNorm is or has been a final method.

To duplicate, I first tried your example code with the binary release bits as a sanity check - worked no problem.

Then I compiled the release from the released source code and tried again - again, it worked as expected.

Can you put down your exact steps?

> java.lang.VerifyError runtime exception in Solr 1.4.1 when trying to run solr in Embedded mode
> ----------------------------------------------------------------------------------------------
>
>                 Key: SOLR-1987
>                 URL: https://issues.apache.org/jira/browse/SOLR-1987
>             Project: Solr
>          Issue Type: Bug
>          Components: clients - java
>    Affects Versions: 1.4.1
>         Environment: Windows 7
>            Reporter: Ravish Bhagdev
>             Fix For: 1.4.1
>
>
> When trying to run solr in embedded mode:
>             CoreContainer.Initializer initializer = new CoreContainer.Initializer();
>             CoreContainer coreContainer = initializer.initialize();
>             server = new EmbeddedSolrServer(coreContainer, "");
> An exception is thrown in version 1.4.1, here is the stacktrace:
> java.lang.VerifyError: class org.apache.solr.search.SolrIndexReader overrides final method setNorm.(ILjava/lang/String;B)V
> at java.lang.ClassLoader.defineClass1(Native Method)
> at java.lang.ClassLoader.defineClassCond(ClassLoader.java:632)
> at java.lang.ClassLoader.defineClass(ClassLoader.java:616)
> at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)
> at org.apache.catalina.loader.WebappClassLoader.findClassInternal(WebappClassLoader.java:2527)
> at org.apache.catalina.loader.WebappClassLoader.findClass(WebappClassLoader.java:1010)
> at org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1483)
> at org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1361)
> at org.apache.solr.core.SolrConfig.<init>(SolrConfig.java:166)
> at org.apache.solr.core.CoreContainer$Initializer.initialize(CoreContainer.java:134)
> It may be a class version issue with the released zip source code, but I am not sure.  It looks like the release was not compiled properly?

--
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

[jira] Commented: (SOLR-1987) java.lang.VerifyError runtime exception in Solr 1.4.1 when trying to run solr in Embedded mode

JIRA jira@apache.org
In reply to this post by JIRA jira@apache.org

    [ https://issues.apache.org/jira/browse/SOLR-1987?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12886385#action_12886385 ]

Uwe Schindler commented on SOLR-1987:
-------------------------------------

These errors are often caused by JAR files from older Lucene/Solr versions somewhere in the classpath. Maybe thats the problem here?

> java.lang.VerifyError runtime exception in Solr 1.4.1 when trying to run solr in Embedded mode
> ----------------------------------------------------------------------------------------------
>
>                 Key: SOLR-1987
>                 URL: https://issues.apache.org/jira/browse/SOLR-1987
>             Project: Solr
>          Issue Type: Bug
>          Components: clients - java
>    Affects Versions: 1.4.1
>         Environment: Windows 7
>            Reporter: Ravish Bhagdev
>             Fix For: 1.4.1
>
>
> When trying to run solr in embedded mode:
>             CoreContainer.Initializer initializer = new CoreContainer.Initializer();
>             CoreContainer coreContainer = initializer.initialize();
>             server = new EmbeddedSolrServer(coreContainer, "");
> An exception is thrown in version 1.4.1, here is the stacktrace:
> java.lang.VerifyError: class org.apache.solr.search.SolrIndexReader overrides final method setNorm.(ILjava/lang/String;B)V
> at java.lang.ClassLoader.defineClass1(Native Method)
> at java.lang.ClassLoader.defineClassCond(ClassLoader.java:632)
> at java.lang.ClassLoader.defineClass(ClassLoader.java:616)
> at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)
> at org.apache.catalina.loader.WebappClassLoader.findClassInternal(WebappClassLoader.java:2527)
> at org.apache.catalina.loader.WebappClassLoader.findClass(WebappClassLoader.java:1010)
> at org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1483)
> at org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1361)
> at org.apache.solr.core.SolrConfig.<init>(SolrConfig.java:166)
> at org.apache.solr.core.CoreContainer$Initializer.initialize(CoreContainer.java:134)
> It may be a class version issue with the released zip source code, but I am not sure.  It looks like the release was not compiled properly?

--
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

[jira] Updated: (SOLR-1987) java.lang.VerifyError runtime exception in Solr 1.4.1 when trying to run solr in Embedded mode

JIRA jira@apache.org
In reply to this post by JIRA jira@apache.org

     [ https://issues.apache.org/jira/browse/SOLR-1987?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel ]

Mark Miller updated SOLR-1987:
------------------------------

    Fix Version/s: Next
                       (was: 1.4.1)

> java.lang.VerifyError runtime exception in Solr 1.4.1 when trying to run solr in Embedded mode
> ----------------------------------------------------------------------------------------------
>
>                 Key: SOLR-1987
>                 URL: https://issues.apache.org/jira/browse/SOLR-1987
>             Project: Solr
>          Issue Type: Bug
>          Components: clients - java
>    Affects Versions: 1.4.1
>         Environment: Windows 7
>            Reporter: Ravish Bhagdev
>             Fix For: Next
>
>
> When trying to run solr in embedded mode:
>             CoreContainer.Initializer initializer = new CoreContainer.Initializer();
>             CoreContainer coreContainer = initializer.initialize();
>             server = new EmbeddedSolrServer(coreContainer, "");
> An exception is thrown in version 1.4.1, here is the stacktrace:
> java.lang.VerifyError: class org.apache.solr.search.SolrIndexReader overrides final method setNorm.(ILjava/lang/String;B)V
> at java.lang.ClassLoader.defineClass1(Native Method)
> at java.lang.ClassLoader.defineClassCond(ClassLoader.java:632)
> at java.lang.ClassLoader.defineClass(ClassLoader.java:616)
> at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)
> at org.apache.catalina.loader.WebappClassLoader.findClassInternal(WebappClassLoader.java:2527)
> at org.apache.catalina.loader.WebappClassLoader.findClass(WebappClassLoader.java:1010)
> at org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1483)
> at org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1361)
> at org.apache.solr.core.SolrConfig.<init>(SolrConfig.java:166)
> at org.apache.solr.core.CoreContainer$Initializer.initialize(CoreContainer.java:134)
> It may be a class version issue with the released zip source code, but I am not sure.  It looks like the release was not compiled properly?

--
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]